
Redmine - Defect #8767

Git: diff is a 404

2011-07-08 03:00 - Dave Abrahams

Status: Closed Start date: 2011-07-08

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

Here's an excerpt from my production.log.  I can visit the revision just fine, but visiting its diff gives a 404 error.

Processing RepositoriesController#revision (for 207.172.223.249 at 2011-07-07 17:54:19) [GET]

  Parameters: {"rev"=>"ab345492332bea411da869592a7d2a6fe13a3361", "action"=>"revision", "id"=>"emb

t", "controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/revision

Completed in 69ms (View: 57, DB: 3) | 200 OK [https://hub.boostpro.com/projects/embt/repository/re

visions/ab345492332bea411da869592a7d2a6fe13a3361]

Processing RepositoriesController#diff (for 207.172.223.249 at 2011-07-07 17:54:34) [GET]

  Parameters: {"rev"=>"ab345492332bea411da869592a7d2a6fe13a3361", "action"=>"diff", "id"=>"embt", 

"controller"=>"repositories"}

Rendering template within layouts/base

Rendering common/error (404)

Completed in 82ms (View: 50, DB: 4) | 404 Not Found [https://hub.boostpro.com/projects/embt/reposi

tory/revisions/ab345492332bea411da869592a7d2a6fe13a3361/diff]

Associated revisions

Revision 6189 - 2011-07-08 04:04 - Toshi MARUYAMA

scm: git: add unit adapter test of cat invalid path (#8767).

Revision 6190 - 2011-07-08 04:05 - Toshi MARUYAMA

scm: git: add unit adapter test of cat invalid revision (#8767).

Revision 6191 - 2011-07-08 04:05 - Toshi MARUYAMA

scm: git: add unit adapter test of diff invalid path (#8767).

Revision 6192 - 2011-07-08 04:05 - Toshi MARUYAMA

scm: git: add unit adapter test of diff invalid revision (#8767).

Revision 6193 - 2011-07-08 04:06 - Toshi MARUYAMA

scm: git: add unit adapter test of annotate invalid path (#8767).

Revision 6194 - 2011-07-08 04:06 - Toshi MARUYAMA

scm: git: add unit adapter test of annotate invalid revision (#8767).

History

#1 - 2011-07-08 03:35 - Toshi MARUYAMA

- Subject changed from /diff is a 404 to Git: diff is a 404

- Status changed from New to Closed

- Priority changed from High to Low

"revisions/hash_id" reads DB stored infos.

If you remove revisions from repository (eg. git push :delete_branch, git branch -D detele_branch, git gc), diff returns 404.
But, DB stored revisions remains.

#2 - 2011-07-08 05:20 - Dave Abrahams

- Status changed from Closed to Reopened

I have not deleted any revisions from the repository.  In fact, that revision is at the head of the repository's "work" branch.

#3 - 2011-07-08 05:24 - Toshi MARUYAMA

- Status changed from Reopened to Closed

- Resolution set to Cant reproduce

I added unit adapter tests, and I can't reproduce.

#4 - 2011-07-08 05:46 - Dave Abrahams

The problem was on our end: apache needed to restart after the path to git changed on the server.  Sorry about the noise!

#5 - 2011-07-08 06:06 - Toshi MARUYAMA

- Resolution changed from Cant reproduce to Invalid
